package com.xinelu.manage.mapper.patientnodeparamslog;

import com.xinelu.manage.domain.patientnodeparamslog.PatientNodeParamsLog;
import java.util.List;


/**
 * 患者节点参数历史记录Mapper接口
 *
 * @author haown
 * @date 2024-05-20
 */
public interface PatientNodeParamsLogMapper {
    /**
     * 查询患者节点参数历史记录
     *
     * @param id 患者节点参数历史记录主键
     * @return 患者节点参数历史记录
     */
     PatientNodeParamsLog selectPatientNodeParamsLogById(Long id);

    /**
     * 查询患者节点参数历史记录列表
     *
     * @param patientNodeParamsLog 患者节点参数历史记录
     * @return 患者节点参数历史记录集合
     */
    List<PatientNodeParamsLog> selectPatientNodeParamsLogList(PatientNodeParamsLog patientNodeParamsLog);

    /**
     * 新增患者节点参数历史记录
     *
     * @param patientNodeParamsLog 患者节点参数历史记录
     * @return 结果
     */
    int insertPatientNodeParamsLog(PatientNodeParamsLog patientNodeParamsLog);

    /**
     * 修改患者节点参数历史记录
     *
     * @param patientNodeParamsLog 患者节点参数历史记录
     * @return 结果
     */
    int updatePatientNodeParamsLog(PatientNodeParamsLog patientNodeParamsLog);

    /**
     * 删除患者节点参数历史记录
     *
     * @param id 患者节点参数历史记录主键
     * @return 结果
     */
    int deletePatientNodeParamsLogById(Long id);

    /**
     * 批量删除患者节点参数历史记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePatientNodeParamsLogByIds(Long[] ids);

	int insertList(List<PatientNodeParamsLog> paramsLogList);
}
